# $Revision: 1.15 $, $Date: 2006/01/01 12:06:12 $
%define tarname ruby-dbi
Summary:	DataBase Interface for Ruby
Summary(pl):	Interfejs do baz danych dla jzyka Ruby
Name:		ruby-DBI
Version:	0.0.21
Release:	7
License:	GPL
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/ruby-dbi/%{tarname}-all-%{version}.tar.gz
# Source0-md5:	e71784353b914ecdd02c9bdc5a21e65e
Patch0:		%{name}-prefix.patch
Patch1:		%{name}-timestamps.patch
Patch2:		%{name}-warning.patch
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8.4-5
BuildRequires:	ruby-Postgres
BuildRequires:	ruby-mysql
BuildRequires:	sqlite-devel
Obsoletes:	ruby-dbi
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBI Module for Ruby.

%description -l pl
Modu DBI dla Ruby.

%package -n ruby-DBD-Mysql
Summary:	MySQL DataBase Driver for Ruby
Summary(pl):	Sterownik bazy danych MySQL dla jzyka Ruby
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	ruby-mysql-library

%description -n ruby-DBD-Mysql
MySQL DataBase Driver for Ruby.

%description -n ruby-DBD-Mysql -l pl
Sterownik bazy danych MySQL dla jzyka Ruby.

%package -n ruby-DBD-Pg
Summary:	PostgreSQL DataBase Driver for Ruby
Summary(pl):	Sterownik bazy danych PostgreSQL dla jzyka Ruby
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	ruby-Postgres

%description -n ruby-DBD-Pg
PostgreSQL DataBase Driver for Ruby.

%description -n ruby-DBD-Pg -l pl
Sterownik bazy danych PostgreSQL dla jzyka Ruby.

%package -n ruby-DBD-SQLite
Summary:	SQLite DataBase Driver for Ruby
Summary(pl):	Sterownik bazy danych SQLite dla jzyka Ruby
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description -n ruby-DBD-SQLite
SQLite DataBase Driver for Ruby.

%description -n ruby-DBD-SQLite -l pl
Sterownik bazy danych SQLite dla jzyka Ruby.

%prep
%setup -q -n %{tarname}-all
%patch0 -p1
%patch1 -p1
%patch2 -p1

find lib -type d -name 'test*' | xargs rm -r -v

%build
# dbd_sybase requires TDS API update
ruby setup.rb config \
	--with=dbi,dbd_mysql,dbd_proxy,dbd_pg,dbd_sqlite,dbd_sqlrelay \
	--prefix=$RPM_BUILD_ROOT \
	--rb-dir=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc -o rdoc lib ext
rdoc --ri --op ri lib lib/dbd_*/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}
ruby setup.rb install

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* rdoc
%attr(755,root,root) %{_bindir}/proxyserver.rb
%attr(755,root,root) %{_bindir}/sqlsh.rb
%dir %{ruby_rubylibdir}/DBD
%dir %{ruby_archdir}/DBD
%{ruby_rubylibdir}/DBD/Proxy
%{ruby_rubylibdir}/DBD/SQLRelay
%{ruby_rubylibdir}/dbi.rb
%{ruby_rubylibdir}/dbi
%{ruby_ridir}/DBI
%{ruby_ridir}/ColumnInfo
#%{ruby_ridir}/OCIError/cdesc-OCIError.yaml

%files -n ruby-DBD-Mysql
%defattr(644,root,root,755)
%{ruby_rubylibdir}/DBD/Mysql

%files -n ruby-DBD-Pg
%defattr(644,root,root,755)
%{ruby_rubylibdir}/DBD/Pg

%files -n ruby-DBD-SQLite
%defattr(644,root,root,755)
%dir %{ruby_archdir}/DBD/SQLite
%attr(755,root,root) %{ruby_archdir}/DBD/SQLite/SQLite.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-DBI.spec,v $
Revision 1.15  2006/01/01 12:06:12  twittner
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 7, STBR

Revision 1.14  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.13  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.12  2005/12/27 09:32:34  twittner
- remove BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.11  2005/12/27 09:26:32  twittner
- (B)R: s/ruby/ruby-modules/, rel. 6 (mass commit through script)

Revision 1.10  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.9  2005/06/12 01:50:38  aredridel
- rel 5 for rebuild
- STBR

Revision 1.8  2005/06/12 01:35:19  aredridel
- add orphan dirs
- STBR

Revision 1.7  2005/02/19 08:28:54  aredridel
- rel 4
- STBR

Revision 1.6  2004/11/08 19:48:45  aredridel
- update for ruby-mysql alternatives

Revision 1.5  2004/08/24 18:48:47  qboosh
- pl for DBD modules, .so perms, unifications, release 3

Revision 1.4  2004/08/22 07:12:46  aredridel
- cleanups
- correct requires

Revision 1.3  2004/08/22 04:08:41  havner
- rel 2

Revision 1.2  2004/08/19 06:23:18  aredridel
- add Pg module
- add ri docs

Revision 1.1  2004/08/19 06:02:30  aredridel
- s/ruby-dbi/ruby-DBI/
- separate database drivers

Revision 1.5  2004/02/23 19:11:06  qboosh
- pl summary, cleanups

Revision 1.4  2004/02/23 07:15:30  aredridel
- fix time bug with all-zeroes times

Revision 1.3  2004/02/23 05:32:01  aredridel
- added BR: sqlite-devel

Revision 1.2  2004/02/23 00:14:32  aredridel
- added missing file
- spec cleanup

Revision 1.1  2004/02/23 00:13:19  aredridel
- added
